Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util
Class IPAddress

    java.lang.Object
      org.bouncycastle.util.IPAddress

    public class IPAddress

extends java.lang.Object

Constructor Summary
`IPAddress()`

Method Summary
`static boolean` `isValid(java.lang.String address)` Validate the given IPv4 or IPv6 address.
`static boolean` `isValidIPv4(java.lang.String address)` Validate the given IPv4 address.
`static boolean` `isValidIPv4WithNetmask(java.lang.String address)`
`static boolean` `isValidIPv6(java.lang.String address)` Validate the given IPv6 address.
`static boolean` `isValidIPv6WithNetmask(java.lang.String address)`
`static boolean` `isValidWithNetMask(java.lang.String address)` Validate the given IPv4 or IPv6 address and netmask.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPAddress

    public IPAddress()

Method Detail

### isValid

    public static boolean isValid(java.lang.String address)

  Validate the given IPv4 or IPv6 address.

  Parameters:
    `address` - the IP address as a String.
  Returns:
    true if a valid address, false otherwise

### isValidWithNetMask

    public static boolean isValidWithNetMask(java.lang.String address)

  Validate the given IPv4 or IPv6 address and netmask.

  Parameters:
    `address` - the IP address as a String.
  Returns:
    true if a valid address with netmask, false otherwise

### isValidIPv4

    public static boolean isValidIPv4(java.lang.String address)

  Validate the given IPv4 address.

  Parameters:
    `address` - the IP address as a String.
  Returns:
    true if a valid IPv4 address, false otherwise

### isValidIPv4WithNetmask

    public static boolean isValidIPv4WithNetmask(java.lang.String address)

### isValidIPv6WithNetmask

    public static boolean isValidIPv6WithNetmask(java.lang.String address)

### isValidIPv6

    public static boolean isValidIPv6(java.lang.String address)

  Validate the given IPv6 address.

  Parameters:
    `address` - the IP address as a String.
  Returns:
    true if a valid IPv4 address, false otherwise

Bouncy Castle Cryptography Library 1.45